# -*- encoding: utf-8 -*-
# stub: vsphere-automation-cis 0.4.7 ruby lib

Gem::Specification.new do |s|
  s.name = "vsphere-automation-cis".freeze
  s.version = "0.4.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["J.R. Garcia".freeze]
  s.date = "2023-02-22"
  s.description = "A Ruby SDK for the vSphere REST APIs (CIS)".freeze
  s.email = ["jrg@vmware.com".freeze]
  s.files = ["LICENSE".freeze, "lib/vsphere-automation-cis".freeze, "lib/vsphere-automation-cis.rb".freeze, "lib/vsphere-automation-cis/api".freeze, "lib/vsphere-automation-cis/api/session_api.rb".freeze, "lib/vsphere-automation-cis/api/tagging_category_api.rb".freeze, "lib/vsphere-automation-cis/api/tagging_tag_api.rb".freeze, "lib/vsphere-automation-cis/api/tagging_tag_association_api.rb".freeze, "lib/vsphere-automation-cis/api/tasks_api.rb".freeze, "lib/vsphere-automation-cis/models".freeze, "lib/vsphere-automation-cis/models/cis_session_create_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_session_info.rb".freeze, "lib/vsphere-automation-cis/models/cis_session_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_category_add_to_used_by.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_category_create.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_category_create_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_category_create_spec.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_category_list_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_category_list_used_categories.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_category_list_used_categories_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_category_model.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_category_model_cardinality.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_category_remove_from_used_by.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_category_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_category_update.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_category_update_spec.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_add_to_used_by.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_attach.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_attach_multiple_tags_to_object.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_attach_multiple_tags_to_object_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_attach_tag_to_multiple_objects.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_attach_tag_to_multiple_objects_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_batch_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_detach.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_detach_multiple_tags_from_object.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_detach_multiple_tags_from_object_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_detach_tag_from_multiple_objects.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_detach_tag_from_multiple_objects_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_list_attachable_tags.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_list_attachable_tags_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_list_attached_objects_on_tags.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_list_attached_objects_on_tags_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_list_attached_objects_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_list_attached_tags.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_list_attached_tags_on_objects.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_list_attached_tags_on_objects_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_list_attached_tags_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_object_to_tags.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_association_tag_to_objects.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_create.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_create_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_create_spec.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_list_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_list_tags_for_category_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_list_used_tags.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_list_used_tags_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_model.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_remove_from_used_by.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_update.rb".freeze, "lib/vsphere-automation-cis/models/cis_tagging_tag_update_spec.rb".freeze, "lib/vsphere-automation-cis/models/cis_task_info.rb".freeze, "lib/vsphere-automation-cis/models/cis_task_progress.rb".freeze, "lib/vsphere-automation-cis/models/cis_task_status.rb".freeze, "lib/vsphere-automation-cis/models/cis_tasks_filter_spec.rb".freeze, "lib/vsphere-automation-cis/models/cis_tasks_get_spec.rb".freeze, "lib/vsphere-automation-cis/models/cis_tasks_list_result.rb".freeze, "lib/vsphere-automation-cis/models/cis_tasks_list_result_value.rb".freeze, "lib/vsphere-automation-cis/models/cis_tasks_result.rb".freeze, "lib/vsphere-automation-cis/models/filter_spec_targets.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_dynamic_id.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_already_exists.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_already_exists_error.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_error.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_error_error.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_invalid_argument.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_invalid_argument_error.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_not_allowed_in_current_state.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_not_allowed_in_current_state_error.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_not_found.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_not_found_error.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_resource_inaccessible.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_resource_inaccessible_error.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_service_unavailable.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_service_unavailable_error.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_unauthenticated.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_unauthenticated_error.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_unauthorized.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_unauthorized_error.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_unsupported.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_errors_unsupported_error.rb".freeze, "lib/vsphere-automation-cis/models/vapi_std_localizable_message.rb".freeze, "lib/vsphere-automation-cis/version.rb".freeze]
  s.homepage = "https://github.com/vmware/vsphere-automation-sdk-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "A Ruby SDK for the vSphere REST APIs (CIS)".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<vsphere-automation-runtime>.freeze, ["~> 0.4.6"])
    s.add_development_dependency(%q<bundler>.freeze, ["< 3"])
    s.add_development_dependency(%q<pry>.freeze, ["< 1"])
    s.add_development_dependency(%q<rake>.freeze, ["< 14"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.7"])
    s.add_development_dependency(%q<rubocop>.freeze, ["< 2"])
    s.add_development_dependency(%q<vcr>.freeze, ["< 7"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 3.6"])
  else
    s.add_dependency(%q<vsphere-automation-runtime>.freeze, ["~> 0.4.6"])
    s.add_dependency(%q<bundler>.freeze, ["< 3"])
    s.add_dependency(%q<pry>.freeze, ["< 1"])
    s.add_dependency(%q<rake>.freeze, ["< 14"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.7"])
    s.add_dependency(%q<rubocop>.freeze, ["< 2"])
    s.add_dependency(%q<vcr>.freeze, ["< 7"])
    s.add_dependency(%q<webmock>.freeze, ["~> 3.6"])
  end
end
